<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>StudentAttendanceM</ion-title>
  </ion-toolbar>
</ion-header>


<ion-content padding>
  <ng-container *ngIf="!NextPageDiv">
    <ion-item>
      <ion-label position="stacked">Date:</ion-label>
      <ion-datetime display-format="MM/DD/YYYY" name="AttendanceDate" required [(ngModel)]="AttendenceObj.AttendanceDate"></ion-datetime>
    </ion-item>
  
    <ion-item>
      <ion-label position="stacked">Batch</ion-label>
      <ion-select name="Batch" [(ngModel)]="AttendenceObj.BatchId" required>
        <ion-select-option *ngFor="let c of BatchList" [value]="c.Id">{{c.Name}}</ion-select-option>
      </ion-select>
    </ion-item>
  
    <ion-item>
      <ion-label position="stacked">Course</ion-label>
      <ion-select name="Course" [(ngModel)]="AttendenceObj.CourseId" required>
        <ion-select-option *ngFor="let c of CourseList" [value]="c.Id">{{c.Name}}</ion-select-option>
      </ion-select>
    </ion-item>
  
    <ion-button expand="full" (click)="getStudent()">Take Attendance</ion-button>
  </ng-container>
  
 
  <ng-container *ngIf="NextPageDiv">
    <ion-item>
      <ion-searchbar [(ngModel)]="NextPage.searchText" name="searchText" (ionClear)="onCancel()"
  cancelButtonText="Cancel" (ionInput)="SearchStudentName($event)" placeholder="Search"></ion-searchbar>
    </ion-item>
    <ion-item>
      <ion-label>Mark All As</ion-label>
      <ion-select name="MarkAll" [(ngModel)]="NextPage.Mark" (ionChange)="MarkAllStud()">
        <ion-select-option *ngFor="let c of AttendanceMarkAll" [value]="c.Id">{{c.Name}}</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-list>
      <ion-item *ngFor="let item of StudentsList">
        <ion-label>{{ item.StudentName }}</ion-label>
        <ion-toggle slot="end" color="primary" [(ngModel)]="item.isPresent"></ion-toggle>
      </ion-item>
    </ion-list>
    <ion-button expand="full" (click)="SubmittingAttendance()">Submit</ion-button>
  </ng-container>
  
</ion-content>
